<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
   <script>
    // Pryamougolnik
      /* var vert=4,horiz=6,star="*",space="&nbsp;";
      for(var i=0;i<vert;i++)
      {
          var str="";
          if(i==0 || i==vert-1)
          {
              for(var j=0; j<horiz;++j)
              {
                  str=str+star;
              }
          
      } else {
          str=star;
          for(var j=0; j<=horiz;++j)
          {
              str=str+space;
          }
          str=str+star;
      }
      document.write(str + "<br/>");} */
      // Treugolnik
 /*let star = "*",zvezda, str = star;
 for (let zvezda = 0; zvezda < 9; zvezda++) {
     if (zvezda > 0) {
         str += star;
         document.write(str + "</br>");
     } else {
         document.write(star + "</br>");
     }
 } */
// Treugolnik(2)
/* let star = "*", space = "&nbsp; ";
 for (let str = 0; str < 7; str++) {
     if (str === 0) {
         for (let i = 0; i < 7; i++) {
             if (i !== 3) {
                 document.write( space)
             } else {
                 document.write(star);
             }
         }
         document.write("</br>");
     } else if (str === 1) {
         for (let i = 0; i < 7; i++) {
             if (i === 2 || i === 4) {
                 document.write(star);
            } else {
                 document.write(space);
             }
         }
         document.write("</br>");
     } else if (str === 2) {
         for (let i = 0; i < 7; i++) {
             if (i === 1 || i === 5) {
                 document.write(star);
             } else {
                 document.write(space);
             }
         }
         document.write("</br>");
     } else if (str === 3) {
         for (let i = 0; i < 7; i++) {
             document.write(star);
        }
     }
 } */
// ROmb
 let star = "*", space = "&nbsp; ";
 for (let str = 0; str < 7; str++) {
     if (str === 0 || str === 6) {
         for (let i = 0; i < 7; i++) {
             if (i !== 3) {
                 document.write(space)
             } else {
                 document.write(star);
            }
         }
         document.write("</br>");
     } else if (str === 1 || str === 5) {
         for (let i = 0; i < 7; i++) {
             if (i === 2 || i === 4) {
              document.write(star);
          } else {
               document.write(space);
            }
        }
       document.write("</br>");
   } else if (str === 2 || str === 4) {
         for (let i = 0; i < 7; i++) {
            if (i === 1 || i === 5) {
                document.write(star);
            } else {
                 document.write(space);
            }
         }
         document.write("</br>");
    } else if (str === 3) {
         for (let i = 0; i < 7; i++) {
            if (i === 0 || i === 6) {
               document.write(star);
             } else {
                document.write(space);
             }
         }
         document.write("</br>"); }}
       </script>
</body>
</html>